<?php
define('_IN_JOHNCMS', 1);

$headmod = 'pizdun';
$textl = 'Пиздун';

$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");

$do = file("temp/vopros.txt");
$rand = rand(0, count($do) - 1);

echo '<div class="phdr">Пиздун</div>
<div class="gmenu">Не доверяеш себе? Не уверен? Не знаеш как быть? 
<br />Спроси у <b>Пиздуна</b>! Он всё знает! 
<br />Спросить у него можеш прямо сейчас!
<br /><i>Пример вопроса: <b>' . $do[$rand] . '</b></i></div>';

$vopros = trim($_POST['vopros']);

if ($vopros) {

    $vopros = mb_substr($vopros, 0, 200);

    $do = file("temp/otvet.txt");
    $rand = rand(0, count($do) - 1);

    echo '<div class="list1"><b>Вапрос:</b>
	<big>' . $vopros . '</big></div>
	<div class="list1"><b>Ответ:</b>
	<big>' . $do[$rand] . '</big></div><hr />';
}

echo "<form action='index.php' method='post'><div class='menu'>
<b>Ваш вапрос:</b><br />
<input type='text' name='vopros' value='?'/></div>
<div class='bmenu'><input type='submit' value='Спрaсить'/></div></form>";

echo '<div class="menu"><a href="../?">В раздел</a></div>';

require_once ("../../incfiles/end.php");

?>